Package org.opensaml.soap.wsaddressing

# Interface AttributedUnsignedLong

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `WSAddressingObject`, `XMLObject`

All Known Subinterfaces:
  `RetryAfter`

All Known Implementing Classes:
  `AttributedUnsignedLongImpl`, `RetryAfterImpl`

public interface AttributedUnsignedLong extends AttributeExtensibleXMLObject, WSAddressingObject
Interface for type <wsa:AttributedUnsignedLongType>.

See Also:
  - "WS-Addressing 1.0 - SOAP Binding"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Long`
`getValue()`
Gets the element's value.
`void`
`setValue(Long newValue)`
Sets the element's value.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getValue

@Nullable Long getValue()
Gets the element's value.

Returns:
  the element's value

### setValue

void setValue(@Nullable Long newValue)
Sets the element's value.

Parameters:
  `newValue` - the new element value